;InnoSetupVersion=5.1.10

[Setup]
AppName=AusLogics System Information
AppVerName=AusLogics System Information 1.0
AppId={{AF5A39FE-51FB-4BA3-B399-2D1F0C65D617}
AppVersion=version 1.0
AppPublisher=AusLogics, Inc.
AppPublisherURL=http://www.auslogics.com
AppSupportURL=http://www.auslogics.com/support.php
AppUpdatesURL=http://www.auslogics.com/system-information
AppMutex={{8D622ABC-7F4F-49CF-A95A-86F8A21753BA}sysinf.exe
DefaultDirName={pf}\AusLogics System Information
DefaultGroupName=AusLogics System Information
UninstallDisplayIcon={app}\sysinfo.exe
UninstallDisplayName=AusLogics System Information
OutputBaseFilename=sysinfo_install
Compression=lzma
DisableProgramGroupPage=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\sysinfo,1.exe"; DestDir: "{app}"; DestName: "sysinfo.exe"; MinVersion: 0.0,5.0.2195; Flags: ignoreversion 
Source: "{app}\axforms10.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\axpackage10.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\axuninstall.exe"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\commonforms_lite.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\helper.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\localizer.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madbasic_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\maddisasm_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madexcept_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\replibrary.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\rtl70.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\sysinfo,2.exe"; DestDir: "{app}"; DestName: "sysinfo.exe"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\vcl70.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\Data\about.png"; DestDir: "{app}\Data"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\Lang\en.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.0.2195; 
Source: "{app}\Data\main.ini"; DestDir: "{app}\Data"; MinVersion: 0.0,5.0.2195; 

[Dirs]
Name: "{app}\Lang\"; 

[Registry]
Root: HKCU; Subkey: "Software\AusLogics\System Information"; MinVersion: 0.0,5.0.2195; Flags: uninsdeletekey 

[INI]
FileName: "{app}\sysinfo.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.auslogics.com/system-information"; 

[Run]
Filename: "{app}\sysinfo.exe"; Description: "{cm:LaunchProgram,AusLogics System Information}"; MinVersion: 0.0,5.0.2195; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\AxUninstall.exe"; WorkingDir: "{app}"; MinVersion: 0.0,5.0.2195; Flags: skipifdoesntexist waituntilidle

[Icons]
Name: "{userdesktop}\AusLogics System Information"; Filename: "{app}\sysinfo.exe"; Tasks: desktopicon; MinVersion: 0.0,5.0.2195; 
Name: "{group}\AusLogics System Information"; Filename: "{app}\sysinfo.exe"; MinVersion: 0.0,5.0.2195; 
Name: "{group}\{cm:ProgramOnTheWeb,AusLogics System Information}"; Filename: "http://www.auslogics.com/system-information"; IconFilename: "{sys}\url.dll"; MinVersion: 0.0,5.0.2195; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; MinVersion: 0.0,5.0.2195; 

[UninstallDelete]
Type: files; Name: "{app}\sysinfo.url"; 
Type: filesandordirs; Name: "{app}*"; 

[CustomMessages]
English.NameAndVersion=%1 version %2
English.AdditionalIcons=Additional icons:
English.CreateDesktopIcon=Create a &desktop icon
English.CreateQuickLaunchIcon=Create a &Quick Launch icon
English.CreateAutorun=&Run the program when I log on to Windows
English.ProgramOnTheWeb=%1 on the Web
English.UninstallProgram=Uninstall %1
English.LaunchProgram=Launch %1
English.AssocFileExtension=&Associate %1 with the %2 file extension
English.AssocingFileExtension=Associating %1 with the %2 file extension...
English.MutexSetupAppRunningError=Setup has detected that Auslogics System Information is currently running.%n%nPlease close all instances of it now, then click OK to continue, or Cancel to exit.

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "English"; MessagesFile: "embedded\English.isl"; 
